Metafunction
Size
Type of an object that is suitable to hold size information.
Size<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type for which the size type is determined. Types: AlignCols, FrequencyDistribution, Gaps, Journaled String, ModifiedString, PriorityType, Proxy, SeedSet, Segment, Shape, Splitter, std::basic_string, std::basic_string, std::list, std::vector, StringEnumerator, thrust::device_vector, UnionFind

Remarks
In most cases this type is size_t.
Return Values

Type | Size type of T.

Member of
SeedSet, std::basic_string, Journaled String, thrust::device_vector, PriorityType, ModifiedString, Shape, Gaps, Proxy, std::vector, StringEnumerator, Segment, UnionFind, std::list
Functions

addEdges | Shortcut to add multiple edges at once. Creates vertices implicitly.
countGaps | Reports number of continues gaps right of current iterator position.
emptyParentEdge | Returns true iff the edge label from the iterator node to its parent is empty.
getProjectedPosition | Projects a position of one sequence taking part in a pairwise match onto the other sequence.
length | Returns the number of different characters in the prefix-sum table.
nodeDepth | Returns the zero-based node depth of the iterator node.
parentRepLength | Returns the length of the substring representing the path from root to iterator's parent node.
removeGap | Remove one gap from a gapped sequence.
removeGaps | Remove multiple gaps from a gapped sequence.
repLength | Returns the length of the substring representing the path from root to iterator node.
unclippedLength | Return length of the gapped sequence without clipping.

Part of Concept
Container
See Also
Difference
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59